#
# spec file for package perl-Net-TFTP
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Net-TFTP
Version:        0.1901
Release:        1.25
%define cpan_name Net-TFTP
Summary:        TFTP Client class
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Net-TFTP/
Source0:        https://cpan.metacpan.org/authors/id/G/GB/GBARR/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::MockModule) >= 0.11
BuildRequires:  perl(Test::More) >= 0.8701
BuildRequires:  perl(Test::Warn)
Requires:       perl(Test::MockModule) >= 0.11
Requires:       perl(Test::More) >= 0.8701
Requires:       perl(Test::Warn)
%{perl_requires}

%description
'Net::TFTP' is a class implementing a simple _Trivial File Transfer
Protocol_ client in Perl as described in RFC1350. 'Net::TFTP' also supports
the TFTP Option Extension (as described in RFC2347), with the following
options

 RFC2348 Blocksize Option

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc ChangeLog README

%changelog
* Sat Feb 25 2017 coolo@suse.com
- updated to 0.1901
  see /usr/share/doc/packages/perl-Net-TFTP/ChangeLog
  0.1901 -- Fri Feb 24 18:11:22 CST 2017
  * Fix Test::MockModule build_requires version [Ben Bullock]
* Mon Apr 13 2015 coolo@suse.com
- updated to 0.19
  see /usr/share/doc/packages/perl-Net-TFTP/ChangeLog
  0.19 -- Wed Nov 24 18:22:33 CST 2010
  * Get rid of unlink [Maik Hentsche]
  * Fixed build_requires [Maik Hentsche]
  * fix BUILD_REQUIRES to more classical PREREQ_PM [Steffen Schwigon]
  0.18 -- Mon May 31 10:38:13 CDT 2010
  * Added support for IPv6 (patch from John Jason Brzozowski)
  * Added .gitignore file [Maik Hentsche]
  * added unit tests [Maik Hentsche]
  * added directory for unit test [Maik Hentsche]
  * handle unlink error [Maik Hentsche]
  * added unit test for missing host [Maik Hentsche]
  * Fix warning for new() without host argument [Maik Hentsche]
  Release 0.17 -- Wed Jul 18 06:30:05 CDT 2007
  Enhancements
  * Added support for IPv6 (patch from John Jason Brzozowski)
* Mon Apr 13 2015 coolo@suse.com
- updated to 0.19
  see /usr/share/doc/packages/perl-Net-TFTP/ChangeLog
  0.19 -- Wed Nov 24 18:22:33 CST 2010
  * Get rid of unlink [Maik Hentsche]
  * Fixed build_requires [Maik Hentsche]
  * fix BUILD_REQUIRES to more classical PREREQ_PM [Steffen Schwigon]
  0.18 -- Mon May 31 10:38:13 CDT 2010
  * Added support for IPv6 (patch from John Jason Brzozowski)
  * Added .gitignore file [Maik Hentsche]
  * added unit tests [Maik Hentsche]
  * added directory for unit test [Maik Hentsche]
  * handle unlink error [Maik Hentsche]
  * added unit test for missing host [Maik Hentsche]
  * Fix warning for new() without host argument [Maik Hentsche]
  Release 0.17 -- Wed Jul 18 06:30:05 CDT 2007
  Enhancements
  * Added support for IPv6 (patch from John Jason Brzozowski)
* Sat Jun 25 2011 lars@linux-schulserver.de
- initial package 0.16
  * created by cpanspec 1.78.05
